Introduction Analyze various features of text content at scale using Machine Learning and AI. Provide text, raw HTML, or a public URL and IBM Watson Natural Language Understanding will give you results for the features you request. The service cleans HTML content before analysis by default, so the results can ignore most advertisements and other unwanted content. You can create custom modelshttps://cloud.ibm.com/docs/natural-language-understanding?topic=natural-language-understanding-customizing with Watson Knowledge Studio to detect custom entities and relations in Natural Language Understanding. This documentation describes Java SDK major version 9. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/java-sdk/blob/master/MIGRATION-V9.md. This documentation describes Node SDK major version 6. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/node-sdk/blob/master/MIGRATION-V6.md. This documentation describes Python SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/python-sdk/blob/master/MIGRATION-V5.md. This documentation describes Ruby SDK major version 2. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/ruby-sdk/blob/master/MIGRATION-V2.md. This documentation describes .NET Standard SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/dotnet-standard-sdk/blob/master/MIGRATION-V5.md. This documentation describes Go SDK major version 2. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/go-sdk/blob/master/MIGRATION-V2.md. This documentation describes Swift SDK major version 4. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/swift-sdk/blob/master/MIGRATION-V4.md. This documentation describes Unity SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/unity-sdk/blob/master/MIGRATION-v5.md. The code examples on this tab use the client library that is provided for Java. Maven xml Method Path Summary GET /v1/analyze Analyze text (GET) POST /v1/analyze Analyze text GET /v1/models List models DELETE /v1/models/{model_id} Delete model POST /v1/models/categories Create categories model GET /v1/models/categories List categories models GET /v1/models/categories/{model_id} Get categories model details PUT /v1/models/categories/{model_id} Update categories model DELETE /v1/models/categories/{model_id} Delete categories model POST /v1/models/classifications Create classifications model GET /v1/models/classifications List classifications models GET /v1/models/classifications/{model_id} Get classifications model details PUT /v1/models/classifications/{model_id} Update classifications model DELETE /v1/models/classifications/{model_id} Delete classifications model